{% extends 'index.html' %}
{% load static %}
{% block content %}
<div class="panel panel-inverse" data-sortable-id="table-basic-7">
    <!-- begin panel-heading -->
    <div class="panel-heading ui-sortable-handle">
        <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
        </div>
        <h4 class="panel-title">Envio de comunicaciones masivas</h4>
    </div>
    <!-- end panel-heading -->
    <!-- begin panel-body -->
    <div class="panel-body">
        <form action="/" name="form-wizard" class="form-control-with-bg" id="massive_filters" >
				<!-- begin wizard -->
			<input type="hidden" name="operator" id="massive_operator">
				<div id="wizard">
					<!-- begin wizard-step -->
					<ul>
						<li class="col-md-3 col-sm-4 col-6" id="checked-step-1">
							<a href="#step-1">
								<span class="number">1</span>
								<span class="info text-ellipsis">
									Categoria
									<small class="text-ellipsis" id="item-value-2">Seleccione categoria</small>
								</span>
							</a>
						</li>
						<li class="col-md-3 col-sm-4 col-6" id="checked-step-2">
							<a href="#step-2">
								<span class="number">2</span>
								<span class="info text-ellipsis">
									Plantilla
									<small class="text-ellipsis" id="item-value-3">Seleccione plantilla</small>
								</span>
							</a>
						</li>
                        <li class="col-md-3 col-sm-4 col-6" id="checked-step-3">
							<a href="#step-3">
								<span class="number">3</span>
								<span class="info text-ellipsis">
									Medios
									<small class="text-ellipsis" id="item-value-4">Seleccione canales de comunicacion</small>
								</span>
							</a>
						</li>
                        <li class="col-md-3 col-sm-4 col-6" id="checked-step-4">
							<a href="#step-4">
								<span class="number">4</span>
								<span class="info text-ellipsis">
									Filtros
									<small class="text-ellipsis" id="item-value-5">Ingrese filtros</small>
								</span>
							</a>
						</li>
						<li class="col-md-3 col-sm-4 col-6" id="checked-step-5">
							<a href="#step-5">
								<span class="number">5</span>
								<span class="info text-ellipsis">
									Vista previa
									<small class="text-ellipsis" id="item-value-finish">Vista previa</small>
								</span>
							</a>
						</li>
						<li class="col-md-3 col-sm-4 col-6" id="checked-step-6">
							<a href="#step-6">
								<span class="number">6</span>
								<span class="info text-ellipsis">
									Fin
									<small class="text-ellipsis" id="item-value-7"></small>
								</span>
							</a>
						</li>
					</ul>
					<!-- end wizard-step -->
					<!-- begin wizard-content -->
					<div id="num-steps">
						<!-- begin step-1 -->
						<div id="step-1">
							<!-- begin fieldset -->
							<fieldset>
								<!-- begin row -->
								<div class="row">
									<!-- begin col-8 -->
									<div class="col-md-8 offset-md-2">

										<!-- begin form-group -->
										<div class="form-group row m-b-10">
											<label class="col-md-3 col-form-label text-md-right"><span class="text-danger"></span></label>
											<div class="col-md-6">
												<div class="email-content p-t-15">

													<div class="category_div">
														<label class="col-md-4 col-form-label">Tipo:</label>
														<select type="text" id="category_type" class="form-control category" >
															<option></option>
														</select>
													</div>
													<div class="category_div">
														<label class="col-md-4 col-form-label">Categoria:</label>
														<select type="text"id="category_category" class="form-control category" >
															<option></option>
														</select>
													</div>
													<div class="category_div">
														<label class="col-md-4 col-form-label">Subcategoria:</label>
														<select type="text" id="category_subcategory" class="form-control category" >
															<option></option>
														</select>
													</div>
													<div class="category_div">
														<label class="col-md-4 col-form-label">Subcategoria:</label>
														<select type="text" id="category_second_subcategory" class="form-control category" >
															<option></option>
														</select>
													</div>

                                				</div>
											</div>
										</div>
										<!-- end form-group -->
									</div>
									<!-- end col-8 -->
								</div>
								<!-- end row -->
							</fieldset>
							<!-- end fieldset -->
						</div>
						<!-- end step-1 -->
						<!-- begin step-2 -->
						<div id="step-2">
							<!-- begin fieldset -->
							<fieldset>
								<!-- begin row -->
								<div class="row">
									<!-- begin col-8 -->
									<div class="col-md-8 offset-md-2">

										<!-- begin form-group -->
										<div class="form-group row m-b-10" id="template_select">
											<legend class="no-border f-w-700 p-b-0 m-t-0 m-b-20 f-s-16 text-inverse"></legend>
											<label class="col-md-3 col-form-label text-md-right"><span class="text-danger"></span></label>
											 <select type="text" id="massive_select_template" class="form-control" data-parsley-group="step-2" data-parsley-required="false" data-parsley-type="alphanum" >

											 </select>
										</div>
										
                                        <div class="email-subject m-b-15" >
                                            <input type="text" name="subject_message" id="massive_subject_message" class="form-control form-control-lg" placeholder="Asunto" />
                                        </div>
                                        <div class="email-content p-t-15">
                                            <textarea name="template_message_html" id="massive_template_html" class="textarea form-control" rows="20" placeholder="Plantilla HTML"></textarea>
                                        </div>
										<div class="email-content p-t-15" style="display: none;">
                                            <textarea name="template_message_text" id="massive_template_text" class="textarea form-control" rows="20" placeholder="Plantilla de texto"></textarea>
                                        </div>
										<!-- end form-group -->
									</div>
									<!-- end col-8 -->
								</div>
								<!-- end row -->
							</fieldset>
							<!-- end fieldset -->
						</div>
						<!-- end step-2 -->
                        <!-- begin step-3 -->
						<div id="step-3">
							<!-- begin fieldset -->
							<fieldset>
								<!-- begin row -->
								<div class="row">
									<!-- begin col-8 -->
                                    <div class="col-md-8 offset-md-2">
                                        <div class="form-group row m-b-10">
                                            <label class="col-md-3 col-form-label text-md-right"><span class="text-danger"></span></label>
                                            <div class="col-md-32 p-t-3">
                                                <div class="switcher" style="display: none;">
                                                    <input type="checkbox" name="mincheck[]" id="switcher_checkbox_1"  value="email" checked>
                                                    <label for="switcher_checkbox_1">Correo</label>
                                                </div>
                                                <div class="switcher switcher-success" style="display: none;">
                                                    <input type="checkbox" name="mincheck[]" id="switcher_checkbox_2"  value="fb">
                                                    <label for="switcher_checkbox_2">Fcbk</label>
                                                </div>
                                                <div class="switcher switcher-purple" style="display: none;">
                                                    <input type="checkbox" name="mincheck[]" id="switcher_checkbox_3" value="ws">
                                                    <label for="switcher_checkbox_3" >Ws</label>
                                                </div>
                                                <div class="switcher switcher-danger" style="display: none;">
                                                    <input type="checkbox" name="mincheck[]" id="switcher_checkbox_4" value="sms">
                                                    <label for="switcher_checkbox_4">SMS</label>
                                                </div>
											</div>
											<div >
												<label class="col-md-4 col-form-label">Responder a:</label>
												<select type="text" name='email' id="massive_template_email" class="form-control category" >
													
												</select>
											</div>
                                        </div>
                                    </div>
									<!-- end col-8 -->
								</div>
								<!-- end row -->
							</fieldset>
							<!-- end fieldset -->
						</div>
						<!-- end step-3 -->
                        <!-- begin step-4 -->
						<div id="step-4">
							<!-- begin fieldset -->
							<fieldset>
								<!-- begin row -->
								<div class="row">
									<!-- begin col-8 -->
									<div class="col-md-8 offset-md-2">
										<legend class="no-border f-w-700 p-b-0 m-t-0 m-b-20 f-s-16 text-inverse"></legend>
										<!-- begin form-group -->
											<div id="list-filters">
												<!--<div id="filters">
												</div> -->
											</div>
                                        <div class="wrapper text-right">
                                            <button id="add-filter" class="btn btn-primary p-l-40 p-r-40">Agregar filtro</button>
                                        </div>
										<!-- end form-group -->
									</div>
									<!-- end col-8 -->
								</div>
								<!-- end row -->
							</fieldset>
							<!-- end fieldset -->
						</div>
						<!-- end step-4 -->
						<!-- begin step-5 -->
						<div id="step-5">
							<div class="jumbotron m-b-0 text-center">
								<img id="loading" class="member-avatar" height="200" width="200" src="/static/img/ajax-loader.gif">

								<div class="form-group row m-b-10" id="preview">

									<div style=" width: 100%;" class="preview_massive">
										<div style="display: inline-block; width: 35%;">
												<label  class="col-md-3 col-form-label text-md-right">Tipificacion: <span  class="text-danger"></span></label>
												<input  disabled="disabled" type="text" id="preview-category" class="form-control form-control-lg" />
										</div>
										<div style="display: inline-block; width: 35%;">
											<label  class="col-md-3 col-form-label text-md-right">Canales: <span class="text-danger"></span></label>
											<input  disabled="disabled" type="text" id="preview-channels" class="form-control form-control-lg" />
										</div>
										<div style="display: inline-block; width: 20%;">
											<label  class="col-md-3 col-form-label text-md-right">Servicios: <span class="text-danger"></span></label>
											<input  disabled="disabled" type="text" id="preview-services" class="form-control form-control-lg" />
										</div>
									</div>

									<textarea disabled="disabled" id="preview-template" class="textarea form-control" rows="20"></textarea>

								</div>

							</div>
						</div>
						<!-- end step-5 -->
						<!-- begin step-6 -->
						<div id="step-6">
							<div class="jumbotron m-b-0 text-center">
								<h2 class="text-inverse">Mensajes enviados</h2>
							</div>
						</div>
						<!-- end step-6 -->
					</div>
					<!-- end wizard-content -->
				</div>
				<!-- end wizard -->
			</form>

    </div>
</div>
{% endblock %}

{% block logic %}

<script src="{% static 'commponents/massive/communications.js' %}"></script>

{% endblock %}